# eric4.QScintilla.Lexers.LexerJava

Module implementing a Java lexer with some additional methods.

### Global Attributes

None

### Classes

LexerJava | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerJava

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerJava, Lexer

### Class Attributes

None

### Methods

LexerJava | Constructor
initProperties | Public slot to initialize the properties.
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.

#### LexerJava (Constructor)

LexerJava(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerJava.initProperties

initProperties()

Public slot to initialize the properties.

#### LexerJava.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

Returns:
  flag indicating a comment style (boolean)

#### LexerJava.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

Returns:
  flag indicating a string style (boolean)

Up